import { system, world, BlockLocation } from "@minecraft/server";
import { ActionFormData } from '@minecraft/server-ui'

system.events.beforeWatchdogTerminate.subscribe(data => {
	data.cancel = true;
});
let time = 0;
world.events.tick.subscribe(active =>{
	for (let p of world.getPlayers()) {
		if(p.hasTag("interact")){
			time++;
			if(time < 100){
			  p.runCommandAsync(`playanimation @s animation.player.sleeping root 0 "query.scoreboard('sleep') == 0"`);
			  p.runCommandAsync(`effect @s slowness 1 8 true`)
			  p.runCommandAsync(`title @s actionbar §l§2wait a few seconds...`)
			}
			if(time == 100){
				p.runCommandAsync(`time set 0`)
				p.runCommandAsync(`scoreboard players set @s sleep 0`)
				time = 0;
				p.removeTag("interact");
				p.runCommandAsync(`playanimation @s root animation.player.sleeping 0`);
				p.runCommandAsync(`playsound random.levelup @s`);
				p.runCommandAsync(`effect @s slowness 0 0 true`);
				p.runCommandAsync(`event entity @e[type=new:sleeping,r=2] new:entity_despawn`)

			}
		}
	}

});